/*
 * BEGIN FLOCK GPL
 *
 * Copyright Flock Inc. 2005-2009
 * http://flock.com
 *
 * This file may be used under the terms of the
 * GNU General Public License Version 2 or later (the "GPL"),
 * http://www.gnu.org/licenses/gpl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * END FLOCK GPL
 */

#include "nsISupports.idl"

interface nsISimpleEnumerator;

interface flockIFeedFolder;
interface flockIFeedContext;

[scriptable, uuid(61489d6c-b1cc-4e03-a71e-76acbeb2588d)]
interface flockIFeedFolderItem : nsISupports {
  AString getTitle();
  void setTitle(in AString aTitle);

  flockIFeedFolder getFolder();
  flockIFeedContext getContext();

  PRUint32 getItemCount();
  PRUint32 getUnreadCount();

  void markRead();

  void refresh();
};
